For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
      • POSTfeature engineCutoff
      • POSTcreatedevice
      • POSTdeletedevice
      • POSTupdatedevice
      • GETdiagnosticall
      • GETgetallDevices
      • GETfirmwareUpdate
      • POSTupdateAddress
      • GETgetDevice
      • GETlatest
      • GETdiagnostic
      • GETlostVehicles
      • GETsend
      • GETgetDeviceActivations
      • GETcreateActivation
      • POSTfeature cargoAccess
      • GETdeviceMetadata
      • POSTupdatedevice cargoAccess
      • POSTupdatedevice engineCutoff
      • GETdeviceData
      • GETgetDeviceActivations range
      • GETdeviceData range
    • User
    • Geozone
    • Fleets
    • Notifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIDevice

deviceMetadata

||View as Markdown|
GET
https://app.nukio.mx/api/v1/eventdata/devicemetadata/:deviceID/:startTime/:endTime/authorization
GET
/api/v1/eventdata/devicemetadata/:deviceID/:startTime/:endTime/authorization
$curl https://app.nukio.mx/api/v1/eventdata/devicemetadata/01/0/0/authorization \
> -H "authorization: <apiKey>"
200Device_deviceMetadata_example
1{
2 "state": {
3 "cargoaccess": {
4 "state": "0",
5 "onText": "on",
6 "offText": "off",
7 "displayName": "Cargo Access",
8 "pendingState": "1",
9 "isNegativeTriggered": false
10 },
11 "enginecutoff": {
12 "state": "0",
13 "onText": "on",
14 "offText": "off",
15 "displayName": "Engine Cutoff",
16 "pendingState": "1",
17 "isNegativeTriggered": false
18 }
19 },
20 "sensors": {
21 "ignition": {
22 "state": "0",
23 "onText": "on",
24 "offText": "off",
25 "displayName": "Ignition",
26 "isNegativeTriggered": false
27 },
28 "cargoaccess": {
29 "state": "0",
30 "onText": "on",
31 "offText": "off",
32 "displayName": "Cargo Access",
33 "pendingState": "1",
34 "isNegativeTriggered": false
35 },
36 "enginecutoff": {
37 "state": "0",
38 "onText": "on",
39 "offText": "off",
40 "displayName": "Engine Cutoff",
41 "pendingState": "1",
42 "isNegativeTriggered": false
43 }
44 },
45 "success": "1",
46 "metadata": [],
47 "status_code": "200",
48 "hasUpdateDevicePrivileges": true
49}
Was this page helpful?
Previous

feature cargoAccess

Next

updatedevice cargoAccess

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

deviceIDstringRequired
Device ID number
startTimestringRequired

start time of the events to call on EPOCH (use 0 as wildcard)

endTimestringRequired

end time of the events to call on EPOCH (use 0 as wildcard)

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
stateobject
sensorsobject
successstring
metadatalist of any
status_codestring
hasUpdateDevicePrivilegesboolean